SystemOrganization addCategory: #ConfigurationOfGraphET2!

Object subclass: #ConfigurationOfGraphET2
	instanceVariableNames: 'project'
	classVariableNames: 'LastVersionLoad'
	poolDictionaries: ''
	category: 'ConfigurationOfGraphET2'!

!ConfigurationOfGraphET2 commentStamp: 'PabloEstefo 3/28/2014 15:05' prior: 0!
A ConfigurationOfGraphET2 class is xxxxxxxxx.
 !

!ConfigurationOfGraphET2 class methodsFor: 'development support' stamp: 'PabloEstefo 4/2/2014 16:30'!
DevelopmentSupport

"See the methods in the 'development support' category on the class-side of MetacelloBaseConfiguration. Decide what development support methods you would like to use and copy them the the class-side of your configuration."
	<apiDocumentation>
! !

!ConfigurationOfGraphET2 class methodsFor: 'private' stamp: 'PabloEstefo 4/2/2014 16:30'!
baseConfigurationClassIfAbsent: aBlock

	^Smalltalk
		at: #MetacelloBaseConfiguration
		ifAbsent: [ 
			self ensureMetacelloBaseConfiguration.
			Smalltalk at: #MetacelloBaseConfiguration ifAbsent: aBlock ].
! !

!ConfigurationOfGraphET2 class methodsFor: 'private' stamp: 'PabloEstefo 4/2/2014 16:30'!
ensureMetacello

	(self baseConfigurationClassIfAbsent: []) ensureMetacello! !

!ConfigurationOfGraphET2 class methodsFor: 'private' stamp: 'PabloEstefo 4/2/2014 16:30'!
ensureMetacelloBaseConfiguration

	Smalltalk
		at: #MetacelloBaseConfiguration
		ifAbsent: [ 
			| repository version |
			repository := MCHttpRepository location: 'http://seaside.gemstone.com/ss/metacello' user: '' password: ''.
			repository
				versionReaderForFileNamed: 'Metacello-Base-DaleHenrichs.2.mcz'
				do: [ :reader | 
					version := reader version.
					version load.
					version workingCopy repositoryGroup addRepository: repository ] ]! !

!ConfigurationOfGraphET2 class methodsFor: 'metacello tool support' stamp: 'PabloEstefo 4/2/2014 16:30'!
isMetacelloConfig
	"Answer true and the Metacello tools will operate on you"
	
	^true! !

!ConfigurationOfGraphET2 class methodsFor: 'loading' stamp: 'PabloEstefo 4/2/2014 16:30'!
load
	"Load the #stable version defined for this platform. The #stable version is the version that is recommended to be used on this platform."

	"self load"

	<apiDocumentation>
	^(self project version: #stable) load! !

!ConfigurationOfGraphET2 class methodsFor: 'loading' stamp: 'PabloEstefo 4/2/2014 16:30'!
loadBleedingEdge
	"Load the latest versions of the mcz files defined for this project. It is not likely that the #bleedingEdge has been tested."

	"self loadBleedingEdge"

	<apiDocumentation>
	^(self project version: #bleedingEdge) load! !

!ConfigurationOfGraphET2 class methodsFor: 'loading' stamp: 'PabloEstefo 4/2/2014 16:30'!
loadDevelopment
	"Load the #development version defined for this platform. The #development version will change over time and is not expected to be stable."

	"self loadDevelopment"

	<apiDocumentation>
	^(self project version: #development) load! !

!ConfigurationOfGraphET2 class methodsFor: 'accessing' stamp: 'PabloEstefo 4/2/2014 16:30'!
project

	^self new project! !

!ConfigurationOfGraphET2 class methodsFor: 'development support' stamp: 'PabloEstefo 4/2/2014 16:30'!
validate
	"Check the configuration for Errors, Critical Warnings, and Warnings (see class comment for MetacelloMCVersionValidator for more information). 
	Errors identify specification issues that will result in unexpected behaviour when you load the configuration. 
	Critical Warnings identify specification issues that may result in unexpected behavior when you load the configuration.
	Warnings identify specification issues that are technically correct, but are worth take a look at."

	"self validate"

	<apiDocumentation>
	self ensureMetacello.
	^ ((Smalltalk at: #MetacelloToolBox) validateConfiguration: self debug: #() recurse: false) explore! !

!ConfigurationOfGraphET2 methodsFor: 'baselines' stamp: 'PabloEstefo 4/17/2014 16:13'!
baseline01: spec
	<version: '0.1-baseline'>


	spec for: #'common' do: [
		spec blessing: #'baseline'.
		spec repository: 'http://smalltalkhub.com/mc/ObjectProfile/GraphET2/main/'.

		spec project: 'Roassal2' with: [
				spec
					className: #ConfigurationOfRoassal2;
					versionString: 'development';
					repository: 'http://smalltalkhub.com/mc/ObjectProfile/Roassal2/main' ].

		spec project: 'RoassalPdfExporter2' with: [
				spec
					className: #ConfigurationOfRoassalPdfExporter2;
					versionString: #'stable';
					repository: 'http://smalltalkhub.com/mc/Jamir/RoassalPdfExporter2/main' ].
		
		spec project: 'Neo' with: [
				spec
					className: #ConfigurationOfNeoCSV;
					versionString: #'stable';
					repository: 'http://smalltalkhub.com/mc/SvenVanCaekenberghe/Neo/main' ].

		spec package: 'GraphET2' with: [
				spec requires: #('Roassal2' 'RoassalPdfExporter2' 'Neo'). ].

		spec group: 'default' with: #('Roassal2' 'GraphET2' 'RoassalPdfExporter2' 'Neo'). ].
! !

!ConfigurationOfGraphET2 methodsFor: 'accessing' stamp: 'PabloEstefo 4/2/2014 16:30'!
customProjectAttributes
	 "Edit to return a collection of any custom attributes e.g. for conditional loading: Array with: #'Condition1' with: #'Condition2.
	For more information see: http://code.google.com/p/metacello/wiki/CustomProjectAttrributes"

	^ #().! !

!ConfigurationOfGraphET2 methodsFor: 'symbolic versions' stamp: 'StephanEggermont 10/4/2014 14:42'!
development: spec
	<symbolicVersion: #'development'>

	spec for: #'common' version: '0.1-baseline'.
! !

!ConfigurationOfGraphET2 methodsFor: 'accessing' stamp: 'PabloEstefo 4/2/2014 16:30'!
project

	^ project ifNil: [ 
		"Bootstrap Metacello if it is not already loaded"
		(self class baseConfigurationClassIfAbsent: []) ensureMetacello.
		"Construct Metacello project"
		project := MetacelloMCProject new projectAttributes: self customProjectAttributes. 
		(Smalltalk at: #MetacelloVersionConstructor) on: self project: project.
		project loadType: #linear. "change to #atomic if desired"
		project ]! !

!ConfigurationOfGraphET2 methodsFor: 'symbolic versions' stamp: 'PabloEstefo 4/2/2014 16:30'!
stable: spec
	<symbolicVersion: #'stable'>

	spec for: #'common' version: '0.1'.
! !

!ConfigurationOfGraphET2 methodsFor: 'versions' stamp: 'PabloEstefo 5/2/2014 14:48'!
version01: spec
	<version: '0.1' imports: #('0.1-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'stable'.
		spec description: 'version 0.1'.
		spec author: 'PabloEstefo'.
		spec timestamp: '3/28/2014 15:07'.
		spec project: 'Roassal2' with: '1.0'.
		spec package: 'GraphET2' with: 'GraphET2-PabloEstefo.59'. ].
! !
